commit:     e479bf7d21b6330a0c915f20c3297287621d8d88
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Thu Nov  7 01:13:20 2024 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Thu Nov  7 01:13:26 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e479bf7d

sys-fabric/mstflint: add 4.30.0_p1

Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 sys-fabric/mstflint/Manifest                  |  1 +
 sys-fabric/mstflint/mstflint-4.30.0_p1.ebuild | 73 +++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/sys-fabric/mstflint/Manifest b/sys-fabric/mstflint/Manifest
index 8663d794d7e4..a70b38f2fe80 100644
--- a/sys-fabric/mstflint/Manifest
+++ b/sys-fabric/mstflint/Manifest
@@ -1,2 +1,3 @@
 DIST mstflint-4.23.0_p1.tar.gz 6269497 BLAKE2B 
95c8fda6a1532baa50de7bcfffc128d24f30c41e670ee9fb19193025dee75fecf3b3e5bebec30bfd7ce9cc138c8eb61ba66a24d14ccec304cc75cae95d62995f
 SHA512 
e0f98587272334d30910b7e8ea4c61ee0404924c85bfedd298ef0ae9321b177d56c8469588a2f59bc1584da79cd2908a222f3608b240d3b5498fb0cd87c06146
 DIST mstflint-4.29.0_p1.tar.gz 6427725 BLAKE2B 
c3e725f91b9571e1d604b1474052768abb6efa4f171aed2c12ae0c35640f66d0ced4dd23c9b144dc04cdbfb7cf112f4fb099fad698da15e41071f475bf7fdc0a
 SHA512 
3f80c03b536edf6801140f5f6faef7efe07d254038308cdbc5321018668c3e7c0d4789f1e47a95f525aa9f4d93b368234c7a6aaf0f5e1a0e5e4d2a580ead391a
+DIST mstflint-4.30.0_p1.tar.gz 6465632 BLAKE2B 
22e96df270a252b5439c2e1c7c54c45b5be72b12dbb9f657c5d0cce10020c431f1dd9a40d2f3f8fce86a13eac394c3e50364edeb0053aabf45b81044c4d81faf
 SHA512 
f43e18d995e2346cb5859fb78381cf57dd557e52708ce5a9d2fd39761a43dc2d7f435fff56f243d646226b989c517ef07fa0dcaa1857aeb78e8edd212e151d7e

diff --git a/sys-fabric/mstflint/mstflint-4.30.0_p1.ebuild 
b/sys-fabric/mstflint/mstflint-4.30.0_p1.ebuild
new file mode 100644
index 000000000000..4b24fe0fefb2
--- /dev/null
+++ b/sys-fabric/mstflint/mstflint-4.30.0_p1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+MY_PV="${PV/_p/-}"
+EGIT_COMMIT="37e382f8960a0cdf639dc9c55314a9b8d0733ead"
+
+DESCRIPTION="Mstflint - an open source version of MFT (Mellanox Firmware 
Tools)"
+HOMEPAGE="https://github.com/Mellanox/mstflint";
+SRC_URI="https://github.com/Mellanox/mstflint/archive/v${MY_PV}.tar.gz -> 
${P}.tar.gz"
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+LICENSE="|| ( GPL-2 BSD-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="adb-generic-tools inband ssl"
+
+DEPEND="
+       dev-db/sqlite:3=
+       sys-libs/zlib:=
+       inband? ( sys-cluster/rdma-core )
+       adb-generic-tools? (
+               dev-libs/boost:=
+               dev-libs/expat:=
+       )
+       ssl? ( dev-libs/openssl:= )
+"
+RDEPEND="
+       ${DEPEND}
+       sys-apps/pciutils
+"
+
+PATCHES=(
+       "${FILESDIR}/mstflint-4.29.0-build-system.patch"
+       "${FILESDIR}/mstflint-4.29.0-gcc15.patch"
+)
+
+src_prepare() {
+       default
+
+       sed -e 's: \*.o: .libs/*.o:' \
+               -e 's: tools_dev_types.o: .libs/tools_dev_types.o:' \
+               -i cmdif/Makefile.am dev_mgt/Makefile.am reg_access/Makefile.am 
|| die
+
+       sed -e 's:_LDFLAGS = :_LDFLAGS = $(LDFLAGS) :' \
+               -i */Makefile.am mstdump/crd_main/Makefile.am || die
+
+       # https://bugs.gentoo.org/939944
+       sed -r -e 's:-Werror(=[a-zA-Z0-9-]+|) ::' \
+               -i configure.ac ext_libs/json/Makefile.am || die
+
+       printf -- '#define TOOLS_GIT_SHA "%s"' "${EGIT_COMMIT}" > 
./common/gitversion.h || die
+
+       eautoreconf
+}
+
+src_configure() {
+       econf $(use_enable inband) \
+               $(use_enable ssl openssl) \
+               $(use adb-generic-tools && printf -- 
'--enable-adb-generic-tools')
+}
+
+src_compile() {
+       if use adb-generic-tools; then
+               pushd ext_libs/json >/dev/null || die
+               emake
+               popd >/dev/null || die
+       fi
+       default
+}

Reply via email to